Appearance
Workspaces API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| get_workspace | GET /workspaces/ | Get Workspace |
| list_workspaces | GET /workspaces | List Workspaces |
get_workspace
Workspace get_workspace(workspace_id)
Get Workspace
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.workspace import Workspace
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.WorkspacesApi(api_client)
workspace_id = 'workspace_id_example' # str |
try:
# Get Workspace
api_response = api_instance.get_workspace(workspace_id)
print("The response of WorkspacesApi->get_workspace:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling WorkspacesApi->get_workspace: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| workspace_id | str |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
list_workspaces
PageWorkspace list_workspaces(page=page, size=size)
List Workspaces
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.page_workspace import PageWorkspace
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.WorkspacesApi(api_client)
page = 1 # int | Page number (optional) (default to 1)
size = 50 # int | Page size (optional) (default to 50)
try:
# List Workspaces
api_response = api_instance.list_workspaces(page=page, size=size)
print("The response of WorkspacesApi->list_workspaces:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling WorkspacesApi->list_workspaces: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| page | int | Page number | [optional] [default to 1] |
| size | int | Page size | [optional] [default to 50] |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |